/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "vInventa")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "VInventa.findAll", query = "SELECT v FROM VInventa v")
        , @NamedQuery(name = "VInventa.findByProductoCodigo", query = "SELECT v FROM VInventa v WHERE v.productoCodigo = :productoCodigo")
        , @NamedQuery(name = "VInventa.findByNombreProducto", query = "SELECT v FROM VInventa v WHERE v.nombreProducto = :nombreProducto")
        , @NamedQuery(name = "VInventa.findByInicial", query = "SELECT v FROM VInventa v WHERE v.inicial = :inicial")
        , @NamedQuery(name = "VInventa.findByCompras", query = "SELECT v FROM VInventa v WHERE v.compras = :compras")
        , @NamedQuery(name = "VInventa.findByRemisionEntrante", query = "SELECT v FROM VInventa v WHERE v.remisionEntrante = :remisionEntrante")
        , @NamedQuery(name = "VInventa.findByAjusteEntrada", query = "SELECT v FROM VInventa v WHERE v.ajusteEntrada = :ajusteEntrada")
        , @NamedQuery(name = "VInventa.findByAbonos", query = "SELECT v FROM VInventa v WHERE v.abonos = :abonos")
        , @NamedQuery(name = "VInventa.findByVenta", query = "SELECT v FROM VInventa v WHERE v.venta = :venta")
        , @NamedQuery(name = "VInventa.findByRemisionSaliente", query = "SELECT v FROM VInventa v WHERE v.remisionSaliente = :remisionSaliente")
        , @NamedQuery(name = "VInventa.findByAjusteSalida", query = "SELECT v FROM VInventa v WHERE v.ajusteSalida = :ajusteSalida")
        , @NamedQuery(name = "VInventa.findByActual", query = "SELECT v FROM VInventa v WHERE v.actual = :actual")
        , @NamedQuery(name = "VInventa.findBySalasActual", query = "SELECT v FROM VInventa v WHERE v.salasActual = :salasActual")})
public class VInventa implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 15)
    @Column(name = "producto_codigo")
    @Id
    private String productoCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 96)
    @Column(name = "nombre_producto")
    private String nombreProducto;
    @Basic(optional = false)
    @NotNull
    @Column(name = "inicial")
    private int inicial;
    @Basic(optional = false)
    @NotNull
    @Column(name = "compras")
    private int compras;
    @Basic(optional = false)
    @NotNull
    @Column(name = "remision_entrante")
    private int remisionEntrante;
    @Basic(optional = false)
    @NotNull
    @Column(name = "ajuste_entrada")
    private int ajusteEntrada;
    @Basic(optional = false)
    @NotNull
    @Column(name = "abonos")
    private int abonos;
    @Basic(optional = false)
    @NotNull
    @Column(name = "venta")
    private int venta;
    @Basic(optional = false)
    @NotNull
    @Column(name = "remision_saliente")
    private int remisionSaliente;
    @Basic(optional = false)
    @NotNull
    @Column(name = "ajuste_salida")
    private int ajusteSalida;
    @Basic(optional = false)
    @NotNull
    @Column(name = "actual")
    private int actual;
    @Basic(optional = false)
    @NotNull
    @Column(name = "salas_actual")
    private int salasActual;
    @Basic(optional = false)
    @NotNull
    @Column(name = "salas_venta")
    private int salasVenta;

    public VInventa() {
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getNombreProducto() {
        return nombreProducto;
    }

    public void setNombreProducto(String nombreProducto) {
        this.nombreProducto = nombreProducto;
    }

    public int getInicial() {
        return inicial;
    }

    public void setInicial(int inicial) {
        this.inicial = inicial;
    }

    public int getCompras() {
        return compras;
    }

    public void setCompras(int compras) {
        this.compras = compras;
    }

    public int getRemisionEntrante() {
        return remisionEntrante;
    }

    public void setRemisionEntrante(int remisionEntrante) {
        this.remisionEntrante = remisionEntrante;
    }

    public int getAjusteEntrada() {
        return ajusteEntrada;
    }

    public void setAjusteEntrada(int ajusteEntrada) {
        this.ajusteEntrada = ajusteEntrada;
    }

    public int getAbonos() {
        return abonos;
    }

    public void setAbonos(int abonos) {
        this.abonos = abonos;
    }

    public int getVenta() {
        return venta;
    }

    public void setVenta(int venta) {
        this.venta = venta;
    }

    public int getRemisionSaliente() {
        return remisionSaliente;
    }

    public void setRemisionSaliente(int remisionSaliente) {
        this.remisionSaliente = remisionSaliente;
    }

    public int getAjusteSalida() {
        return ajusteSalida;
    }

    public void setAjusteSalida(int ajusteSalida) {
        this.ajusteSalida = ajusteSalida;
    }

    public int getActual() {
        return actual;
    }

    public void setActual(int actual) {
        this.actual = actual;
    }

    public int getSalasActual() {
        return salasActual;
    }

    public void setSalasActual(int salasActual) {
        this.salasActual = salasActual;
    }

    public int getSalasVenta() {
        return salasVenta;
    }

    public void setSalasVenta(int salasVenta) {
        this.salasVenta = salasVenta;
    }


}
